# PSF-LoginServer - master - net.psforever.objects.ballistics.AggravatedDamage
PSF - LoginServer - master - net.psforever.objects.ballistics.AggravatedDamage
Keywords: PSF LoginServer master net.psforever.objects.ballistics.AggravatedDamage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

o

net.psforever.objects.ballistics

# AggravatedDamage 

###
Companion class AggravatedDamage

#### object AggravatedDamage extends Serializable

Source
  AggravatedDamage.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AggravatedDamage
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(info: AggravatedInfo, effect_type: Aura, duration: Long, max_factor: Float, vanu_aggravated: Boolean, targets: List[TargetValidation]): AggravatedDamage

   Overloaded constructor.

   Overloaded constructor.

   info

     the specific kinds of aggravation damage available

   effect_type

     what effect is exhibited by this aggravated damage

   duration

     for how long the over-all effect is applied

   max_factor

     na

   vanu_aggravated

     na

   targets

     validation information indicating whether a certain entity is applicable for aggravation

5.  def apply(info: AggravatedInfo, effect_type: Aura, duration: Long, max_factor: Float, targets: List[TargetValidation]): AggravatedDamage

   Overloaded constructor.

   Overloaded constructor.

   info

     the specific kinds of aggravation damage available

   effect_type

     what effect is exhibited by this aggravated damage

   duration

     for how long the over-all effect is applied

   max_factor

     na

   targets

     validation information indicating whether a certain entity is applicable for aggravation

6.  def apply(info: AggravatedInfo, effect_type: Aura, timing: AggravatedTiming, max_factor: Float, vanu_aggravated: Boolean, targets: List[TargetValidation]): AggravatedDamage

   Overloaded constructor.

   Overloaded constructor.

   info

     the specific kinds of aggravation damage available

   effect_type

     what effect is exhibited by this aggravated damage

   timing

     the timing for the damage application

   max_factor

     na

   vanu_aggravated

     na

   targets

     validation information indicating whether a certain entity is applicable for aggravation

7.  def apply(info: AggravatedInfo, effect_type: Aura, timing: AggravatedTiming, max_factor: Float, targets: List[TargetValidation]): AggravatedDamage

   Overloaded constructor.

   Overloaded constructor.

   info

     the specific kinds of aggravation damage available

   effect_type

     what effect is exhibited by this aggravated damage

   timing

     the timing for the damage application

   max_factor

     na

   targets

     validation information indicating whether a certain entity is applicable for aggravation

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def basicDamageType(resolution: vital.base.DamageResolution.Value): vital.base.DamageType.Value
10.  def burning(resolution: vital.base.DamageResolution.Value): vital.base.DamageResolution.Value
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped